---
name: release

on:
  release:
    types: [published]

jobs:
  pypi:
    name: Publish to PyPI registry
    environment: release
    runs-on: ubuntu-20.04

    env:
      FORCE_COLOR: 1
      PY_COLORS: 1
      TOXENV: packaging
      TOX_PARALLEL_NO_SPINNER: 1

    steps:
      - name: Switch to using Python 3.9 by default
        uses: actions/setup-python@v4
        with:
          cache: "pip"
          python-version: 3.9

      - name: Install tox
        run: python3 -m pip install --user tox

      - name: Check out src from Git
        uses: actions/checkout@v3
        with:
          fetch-depth: 0 # needed by setuptools-scm

      - name: Build dists
        run: python -m tox

      - name: Publish to pypi.org
        if: >- # "create" workflows run separately from "push" & "pull_request"
          github.event_name == 'release'
        uses: pypa/gh-action-pypi-publish@master
        with:
          password: ${{ secrets.pypi_password }}
